<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_host_options.inc,v 1.2 2003/10/03 21:05:47 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_host_options.inc,v $
 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
	@header Show Host Options Template
	This page shows the workgroup options that apply to this host

*/

// Create the host object
$host = new Host($host_id);

$options = $host->get_options();

$conf['ui']->show_options('host','host', $host->id,$options);

$options = $host->workgroup->get_options();

$conf['ui']->show_options('view',"workgroup",$host->workgroup->id,$options);

if ($host->ip->ip_int) { 
	$options = $host->ip->subnet->get_options(); 
}
else {
	$subnet = new Subnet($host->dynamic_range->subnet);
        $options = $subnet->get_options();
}

$conf['ui']->show_options('view',"subnet",$host->subnet->id,$options);





?>

